/*
 * Copyright (C) 2007 Nicolas Joseph
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */
#ifndef H_NJ_GTK_COMPLETION_20071105142230
#define H_NJ_GTK_COMPLETION_20071105142230

#include "gtkcompletionwindow.h"
#include <gtk/gtktextview.h>

G_BEGIN_DECLS

#define GTK_TYPE_COMPLETION            (gtk_completion_get_type ())
#define GTK_COMPLETION(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), GTK_TYPE_COMPLETION, GtkCompletion))
#define GTK_COMPLETION_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), GTK_TYPE_COMPLETION, GtkCompletionClass))
#define GTK_IS_COMPLETION(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GTK_TYPE_COMPLETION))
#define GTK_IS_COMPLETION_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), GTK_TYPE_COMPLETION))
#define GTK_COMPLETION_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), GTK_TYPE_COMPLETION, GtkCompletionClass))

typedef struct _GtkCompletion      GtkCompletion;
typedef struct _GtkCompletionClass GtkCompletionClass;

struct _GtkCompletion
{
  GtkCompletionWindow parent;
};

struct _GtkCompletionClass
{
  GtkCompletionWindowClass parent_class;
};

GType gtk_completion_get_type (void) G_GNUC_CONST;

GtkCompletion *gtk_completion_new (const gchar **);
GtkCompletion *gtk_completion_new_attach (GtkTextView *, const gchar **);
void gtk_completion_attach (GtkCompletion *, GtkTextView *);
void gtk_completion_detach (GtkCompletion *);
GtkCompletion *gtk_completion_get_from_text_view (GtkTextView *);

G_END_DECLS

#endif /* not H_NJ_GTK_COMPLETION_20071105142230 */
